Package org.apache.cxf.transport

# Class TransportFinder<T>

java.lang.Object
org.apache.cxf.transport.TransportFinder<T>

public class TransportFinder<T> extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransportFinder(Bus b, Map<String,T> m, Set<String> l, Class<T> c)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `checkForURI(String uri)`
  `T`
  `findTransportForNamespace(String namespace)`
  `T`
  `findTransportForURI(String uri)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TransportFinder

    public TransportFinder(Bus b, Map<String,T> m, Set<String> l, Class<T> c)

- ## Method Details

  - ### findTransportForNamespace

    public T findTransportForNamespace(String namespace)

  - ### findTransportForURI

    public T findTransportForURI(String uri)

  - ### checkForURI

    public T checkForURI(String uri)